Differences between revisions 1 and 34 (spanning 33 versions)
Revision 1 as of 2017-07-24 07:58:16
Size: 1941
Editor: ?TakatsuguNokubi
Comment: ページ作成
Revision 34 as of 2017-09-13 12:17:03
Size: 6409
Editor: ?dai
Comment: Future Qt4 removal from Buster
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
#language ja
Line 3: Line 4:
= パッケージ情報 = = パッケージ情報 (package information) =
Line 6: Line 7:
= post stretchの作業指針 = = post stretchの作業指針 (guideline for post-stretch) =
Line 8: Line 9:
== パッケージの統廃合 == == デフォルトインプットメソッドの変更 (future default IM) ==
Line 10: Line 11:
 * 次のライブラリパッケージはそのまま。  * 現状の uim の懸念点 (concerns @current)
   * upstream の開発が停滞している。(upstream development is stall)
   * Qt5 対応が開発途上でバグが多い。(coping with Qt5 is under development and buggy)
      * https://github.com/uim/uim/issues/30#issuecomment-20566198
      * https://github.com/uim/uim/issues/112
      * --(plasma-widget-uim にバグがある?(looks like plasma-widget-uim has bug(s)))-- plasma-widget-uim dropped at 1:1.8.6+gh20161003.0.d63dadd-5~exp1
      * 補足: Qt4 は次期 stable で削除予定。(Qt4 will not be shipped in Debian 10)
         * https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html
         * https://bugs.debian.org/875216
   * GNOME 3 対応にいくつか問題がある。(coping with GNOME 3 has some issues)
      * --(https://wiki.debian.org/ja/L10n/Japanese#line-30 )-- uim-applet-gnome and uim-toolbar-gtk{,3}-systray dropped at 1:1.8.6+gh20161003.0.d63dadd-5~exp1
      * https://github.com/uim/uim/issues/18
      * https://github.com/uim/uim/issues/34
   * uim-skk が UTF-8 に対応していない。(uim-skk does not handle UTF-8)
 * 変更先は ibus が有力。(ibus is reasonable alternative)
   * http://tokyodebian.alioth.debian.org/pdf/debianmeetingresume201708-kansai.pdf
   * http://ikuya.info/pdf/stretch-im.pdf
   * 以前にも提起 (this idea was raised in the past)
      * http://lists.debian.or.jp/archives/debian-devel/201605/msg00006.html
   * 改めて定期 (raised again)
      * https://lists.debian.or.jp/pipermail/debian-devel/2017-September/000094.html
      * [[JapaneseEnvironment/IbusSupportforBuster]]

 * 変更対象(will be changed)(tasksel)
   * task-japanese-desktop: uim, uim-anthy, uim-mozc
   * task-japanese-gnome-desktop: uim-applet-gnome
   * task-japanese-kde-desktop: plasma-widget-uim

== UTF-8 がデフォルトとなった anthy 0.3 対応 ==

 * https://bugs.debian.org/873123 "uim-xim segfaults with anthy"
   * https://github.com/uim/uim/issues/7
 * https://bugs.debian.org/873739 "uim-anthy: Package uim-anthy is uninstallable"
 * https://bugs.debian.org/873874 "uim FTBFS with libanthy-dev 1:0.3-5"
   * https://lists.alioth.debian.org/pipermail/pkg-anthy-japanese/2017-August/000030.html

== パッケージの統廃合 (to be integrated/obsoleted packages) ==

 * 次のライブラリパッケージはそのまま。(these library packages will be kept same)
Line 16: Line 55:
* IMパッケージは分割( bug#863664 )  * [[DebianBug:863664|IMパッケージは分割 (IM packages will be divided)]]
Line 24: Line 63:
   + uim-qt5-immodule    * uim-qt5-immodule
Line 26: Line 65:
* そのまま( bug#863664 )
   * uim-applet-gnome
   * plasma-widget-uim
 * [[DebianBug:863664|そのまま (will be as is)]]
Line 33: Line 70:
 * uim を実パッケージに変更し、次のパッケージ内容をすべて統合( bug#858111 )
   * uim-common
   * libuim-data
   * libuim-plugins
   * uim-utils
= 実施作業 (work done) =

 * debian-experimentalブランチ作成 (debian-experimental branch created) (from 8a8ca77e0754c3f2e1f3f0fc592378fa9c05fd77)
 * uimを実パッケージ化 (make uim real package)
   * uim-common, libuim-dataを内包 (contains uim-commonand libuim-data now)
   * uim-utilsを内包 (contains uim-utils)
     * Architecture: anyに変更 (change Architecture: any)
   * アーキテクチャ非依存ファイルをuim-dataに移動 (move arch-independent files into uim-data)
   * uim-ahtny, uim-skk, uim-tcode統合 (integrate uim-anthy, uim-skk, uim-tcode)
   * uim-m17nlib, uim-byeoru統合 (integrate uim-m17nlib, uim-byeoru)
   * uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look integrated
   * uim-anthy, uim-skk, uim-tcode as meta packages.
   * uim: add uim-anthy, uim-skk to Breaks/Replaces.
 * [[DebianBug:858111|uim を実パッケージに変更し、次のパッケージ内容をすべて統合 (make uim real package and contains these contents)]]
   * ---(uim-common)---
   * ---(libuim-data)---
   * ---(libuim-plugins)---
   * ---(uim-utils)---
Line 40: Line 90:
   * uim-m17nlib
   * uim-byeoru
   * uim-latin
   * uim-pinyin
   * ---(uim-m17nlib)---
   * ---(uim-byeoru)---
   * ---(uim-latin)---
   * ---(uim-pinyin)---
Line 45: Line 95:
   * uim-viqr
   * uim-ipa-x-sampa
   * uim-look
   * ---(uim-viqr)---
   * ---(uim-ipa-x-sampa)---
   * ---(uim-look)---
 * uim-dataを追加、以下を移動 (add uim-data and integrate them)
   * ---(libuim-data)---
   * ---(uim-plugins)---
 * uim-anthy をメタパッケージ化 (make uim-anthy meta package)
   * Depends: anthy
 * uim-skk をメタパッケージ化 (make uim-skk meta package)
   * Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb
 * uim-tcode をメタパッケージ化 (make uim-tcode meta package)
   * Depends: uim-skk, t-code-common
 * 次のパッケージは廃止 (these packages will be obsoleted) (使用自体は可能: debian/NEWS 参照 (although still can be used: see debian/NEWS))
   * ---(uim-m17nlib)---
   * ---(uim-byeoru)---
   * ---(uim-latin)---
   * ---(uim-pinyin)---
   * ---(uim-viqr)---
   * ---(uim-ipa-x-sampa)---
   * ---(uim-look)---
 * 次のパッケージも廃止する (let these packages to be obsoleted)
   * ---(uim-dict-gtk)---
   * ---(uim-dict-gtk3)---
   * ---(uim-applet-gnome)---
   * ---(plasma-widget-uim)---
Line 49: Line 121:
 * uim-anthy をメタパッケージ化
   * Depends: anthy
 * --(uim 実パッケージに統合したインプットメソッドを debconf を使って選択できるようにする。(make IMs integrated into real uim package be able to be selected from debconf))--
    * uim 実パッケージに統合したインプットメソッドは、すべて自動で登録する。(register IMs integrated into real uim package)
Line 52: Line 124:
 * uim-skk をメタパッケージ化
   * Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb

 * uim-tcode をメタパッケージ化
   * Depends: uim-skk, t-code-common

 * 次のパッケージは廃止 (使用自体は可能: debian/NEWS 参照)
   * uim-m17nlib
   * uim-byeoru
   * uim-latin
   * uim-pinyin
   * uim-viqr
   * uim-ipa-x-sampa
   * uim-look

 * 次のパッケージも廃止する?
   * uim-dict-gtk
   * uim-dict-gtk3

= 参考リンク =
= 参考リンク (links) =
Line 74: Line 127:
 * http://lists.debian.or.jp/pipermail/debian-devel/2017-July/000067.html
Line 75: Line 129:
   * [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=858111|#858111]] libuim-data->uim-utilsの順にインストールすると/var/lib/uim以下にファイルが生成されない
   * [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=863664|#863664]] プラグインがmultiarch対応になっていない
   * [[DebianBug:858111|#858111]] libuim-data->uim-utilsの順にインストールすると/var/lib/uim以下にファイルが生成されない (files will not be created when install libuim-data, then uim-utils)
   * [[DebianBug:863664|#863664]] プラグインがmultiarch対応になっていない (plugins are not multiarch capable yet)

uim: Universal Input Method

パッケージ情報 (package information)

post stretchの作業指針 (guideline for post-stretch)

デフォルトインプットメソッドの変更 (future default IM)

UTF-8 がデフォルトとなった anthy 0.3 対応

パッケージの統廃合 (to be integrated/obsoleted packages)

実施作業 (work done)

  • debian-experimentalブランチ作成 (debian-experimental branch created) (from 8a8ca77e0754c3f2e1f3f0fc592378fa9c05fd77)
  • uimを実パッケージ化 (make uim real package)
    • uim-common, libuim-dataを内包 (contains uim-commonand libuim-data now)
    • uim-utilsを内包 (contains uim-utils)
      • Architecture: anyに変更 (change Architecture: any)
    • アーキテクチャ非依存ファイルをuim-dataに移動 (move arch-independent files into uim-data)
    • uim-ahtny, uim-skk, uim-tcode統合 (integrate uim-anthy, uim-skk, uim-tcode)
    • uim-m17nlib, uim-byeoru統合 (integrate uim-m17nlib, uim-byeoru)
    • uim-latin, uim-pinyin, uim-viqr, uim-ipa-x-sampa, uim-look integrated
    • uim-anthy, uim-skk, uim-tcode as meta packages.
    • uim: add uim-anthy, uim-skk to Breaks/Replaces.
  • uim を実パッケージに変更し、次のパッケージ内容をすべて統合 (make uim real package and contains these contents)

    • -uim-common-

    • -libuim-data-

    • -libuim-plugins-

    • -uim-utils-

    • uim-anthy
    • uim-skk
    • -uim-m17nlib-

    • -uim-byeoru-

    • -uim-latin-

    • -uim-pinyin-

    • uim-tcode
    • -uim-viqr-

    • -uim-ipa-x-sampa-

    • -uim-look-

  • uim-dataを追加、以下を移動 (add uim-data and integrate them)
    • -libuim-data-

    • -uim-plugins-

  • uim-anthy をメタパッケージ化 (make uim-anthy meta package)
    • Depends: anthy
  • uim-skk をメタパッケージ化 (make uim-skk meta package)
    • Depends: skkdic | skkdic-extra | skkserv | dbskkd-cdb
  • uim-tcode をメタパッケージ化 (make uim-tcode meta package)
    • Depends: uim-skk, t-code-common
  • 次のパッケージは廃止 (these packages will be obsoleted) (使用自体は可能: debian/NEWS 参照 (although still can be used: see debian/NEWS))
    • -uim-m17nlib-

    • -uim-byeoru-

    • -uim-latin-

    • -uim-pinyin-

    • -uim-viqr-

    • -uim-ipa-x-sampa-

    • -uim-look-

  • 次のパッケージも廃止する (let these packages to be obsoleted)
    • -uim-dict-gtk-

    • -uim-dict-gtk3-

    • -uim-applet-gnome-

    • -plasma-widget-uim-

  • uim 実パッケージに統合したインプットメソッドを debconf を使って選択できるようにする。(make IMs integrated into real uim package be able to be selected from debconf)

    • uim 実パッケージに統合したインプットメソッドは、すべて自動で登録する。(register IMs integrated into real uim package)

参考リンク (links)